/**
 * 工单处理
 * */

$(document).ready(function() {
	var ID = helper.request.queryString("str");
	laydate.render({
		elem: '#t_inqtime',
		theme: '#1ab394',
		calendar: 'true',
	});
	autosize($('textarea'));
	//getDealDept(); //获取交办单位
	//获取乡镇下拉//获取信息分类
	//$.when(helper.getDropList.getlistDropByDic($('#t_county'), 'JBDW'), getInfoClass())
	helper.getDropList.getlistDropByDic($('#t_county'), 'JBDW')
		.then(function() {
			if(ID) {
				getWorkOrderInfo(ID); //获取工单信息
			}
		});
/*	//tree下拉框效果
	$(".inpBox .tree").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
	});
	//普通下拉框效果
	$(".inpBox .select").click(function() {
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".xl").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".inpBox").mouseleave(function() {
		$(this).children(".addTree").hide();
		$(this).children(".xl_common").hide();
	})
	$(".xl_box").on("click", "li", function() {
		var obj = $(this).parent().parent().parent();
		obj.find("input").eq(0).val($(this).text());
		obj.find("input").eq(1).val($(this).attr("itemid"));
		obj.find(".xl_common").hide();
	})
	$("input[name='ltype']").click(function() {
		var val = $("input[name='ltype']:checked").val();
		if(val == '0') {
			$(".js").show();
			getBM($("#zrbmtree"));
		} else if(val == '1') {
			$(".js").hide();
		}
	})*/
	//点击确定
	$("#clgd").click(function() {
		/*var val = $("input[name='ltype']:checked").val();
		if(!val) {
			layer.confirm('请选择处理方式！', {
				btn: ['确定']
			});
			return;
		}
		if(val == '0') {
			if(!$("#clbm").val()) {
				layer.confirm('请选择接收部门！', {
					btn: ['确定']
				});
				return;
			}
		}
		if(!$("#cont").val()) {
			layer.confirm('请输入处理内容！', {
				btn: ['确定']
			});
			return;
		}*/

		dealWorkOrder(ID);
	});

})
/*//获取交办单位
function getDealDept() {
	$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag', {
		flag: 'JBDW',
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$('<option value="0">请选择</option>').appendTo("#xl_box");
			for(var i = 0; i < result.data.length; i++) {
				$('<option value="' + result.data[i].F_DictionaryValueId + '">' + result.data[i].F_Name + '</option>').appendTo("#xl_box");
			}
		}
	})
}
////获取信息分类
function getInfoClass() {
	var dtd = $.Deferred(); //在函数内部，新建一个Deferred对象
	$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag', {
		flag: 'XXFL',
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			for(var i = 0; i < result.data.length; i++) {
				var html = '<label class="radio-inline" style="font-weight: normal;">' +
					'<input type="radio" value="' + result.data[i].F_DictionaryValueId + '" name="ltypes"  /> ' + result.data[i].F_Name + '' +
					'</label>';
				$(html).appendTo(".Message_box");
			}
		}
		dtd.resolve(); // 改变Deferred对象的执行状态
	});
	return dtd.promise(); // 返回promise对象
}*/

//获取工单信息
function getWorkOrderInfo(oid) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "WorkOrder/GetWorkOrder",
		async: true,
		dataType: 'json',
		data: {
			orderid: oid,
			token: $.cookie("token")
		},
		success: function(data) {
			/*验证请求*/
			if(data.state == "success") {
				var con = data;
				var Str = con.data.data;
				$('#cl_gdbh').text(Str[0].WorkOrderID); //工单编号
				//$("#cl_gdlx").text(getTypeName(Str[0].Type)); //工单类型
				$("#cl_khxm").val(Str[0].Customer); //姓名
				$("#cl_khdh").text(Str[0].CustomerTel); //电话
				$("#t_county").val(Str[0].County); //乡镇
				$("#t_address").val(Str[0].Address); //地址
				$("#t_inqtime").val(Str[0].Inqtime && Str[0].Inqtime.split(' ')[0]); //调查时间
				$("#t_inquser").val(Str[0].Inquser); //调查员
				$("#t_detail").val(Str[0].Detail); //string 是 反映问题
				$("#t_answer").val(Str[0].Answer); //string 否 回访反馈情况
				$("#t_remarks").val(Str[0].Remark); //string 否 备注

				$('#t_infoType').val(Str[0].InfoType); //信息分类
				$("#xl_box").val(Str[0].Unit); //交办单位
				
				//$("#xl_box").val(Str[0].UnitID); //交办单位
				//$('.Message_box').find('input[value="' + Str[0].InfoTypeID + '"]').attr('checked', true); //信息分类

				var Files = Str[0].Files;
				if(Files) {
					var a;
					var b;
					$(Files).each(function(i, n) {
						a = n.F_FileType.split("\/")[0];
						b = n.F_FileName.split(".")[1];
						console.log(a);
						if(a == 'image') {
							$('<div class="img-box"><a href="+' + n.F_FileUrl + '" download="' + n.F_FileName + '"><img src="' + n.F_FileUrl + '" alt="" class="image-item"  data-preview-group="1" /><span class="">' + b + '</span></a><div>').appendTo(".space");
						} else {
							$('<div class="img-box "><a href="+' + n.F_FileUrl + '" download="' + n.F_FileName + '"><span class="">' + b + '</span></a><div>').appendTo(".space");
						}

					})
				}
			}
		}
	});
}
/*
//获取工单类型
function getTypeName(val) {
	var str = '';
	switch(val + '') {
		case '1':
			str = "咨询";
			break;
		case '2':
			str = "报修服务";
			break;
		case '3':
			str = "投诉建议";
			break;
	}
	return str;
}

//获取部门
var setting = {
	data: {
		key: {
			name: "F_DeptName"
		},
		simpleData: {
			enable: true,
			idKey: "F_DeptId",
			pIdKey: "F_ParentId",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick
	}
};

function getBM(obj) {
	$.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$.fn.zTree.init(obj, setting, result.data);
		}
	})
}

function zTreeOnClick(event, treeId, treeNode) {
	if(event) {
		event.stopPropagation();
	}
	var obj = $("#" + event.data.treeId).parent();
	obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
	obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
	obj.hide();
	getRY($(".clid"), $("#clbm").val());
};

//获取人员
function getRY(obj, deptid) {
	obj.empty();
	obj.append('<li itemid="">--请选择--</li>');
	obj.parent().parent().find("input").eq(0).val("--请选择--");
	obj.parent().parent().find("input").eq(1).val("");
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
		deptid: deptid,
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '</li>');
			});
			obj.find("li").click(function(event) {
				if(event) {
					event.stopPropagation();
				}
				$(this).parent().parent().parent().find("input").eq(0).val($(this).text());
				$(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
				$(this).parent().parent().hide();
			});
		}
	})
}*/

//处理
function dealWorkOrder(oid) {
	$.post(huayi.config.callcenter_url + 'WorkOrder/DealWorkOrder', {
		orderid: oid, //string	是	工单编号
		customer: $('#cl_khxm').val(), //string 是 客户姓名
		country: $('#t_county').val(), //string 否 乡镇
		//country: $("#t_county").find("option:selected").text(),
		address: $('#t_address').val(), //string 否 住址
		inqtime: $('#t_inqtime').val(), //string 否 调查时间
		inquser: $('#t_inquser').val(), //string 否 调查员
		detail: $('#t_detail').val(), //string 是 反映问题
		answer: $('#t_answer').val(), //string 否 回访反馈情况
		remark: $('#t_remarks').val(), //string 否 备注
		
		

		isend: $("input[name='ltype']:checked").val(), //int	是	是否结束 0否，1是
		unit: $("#xl_box").val(),	//string	否	交办单位
		infotype: $("#t_infoType").val(), //string	否	信息分类
		clbm: $("#t_unit").val(), //string	否	处理部门
		clgh: $("#t_clr").val(), //string	否	处理人
		/*clbm: $("#clbm").val(), //int	否	处理部门
		clid: $("#clid").val(), //int	否	处理人
		cont: $("#cont").val(), //string	否	问题处理情况
		infotypeid: $("input[name='ltypes']:checked").val(), //int	否	信息分类id，默认为0
		unitid: $("#xl_box").val(), //int	否	交办单位id，默认为0*/
		
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
			parent.layer.close(index); //再执行关闭
			parent.initTable();
			parent.Hiden();
			parent.layer.msg("处理工单成功");
		}
	})
}